Get V 2 Workflows All Accessible

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Response

get AllAccessible(s)

idstring
ULID
titlestring
descriptionstring
archivedboolean
first_workflow_step_idstring
ULID
location_idslist of strings
group_idslist of strings
user_idstring
ULID
is_templateboolean
workflow_collection_idstring
ULID
is_latest_in_collectionboolean
organisation_wideboolean
planned_partslist of objects
part_confirmation_requiredboolean
stepslist of objects
created_atlong

Unix timestamp (seconds since epoch)

updated_atlong

Unix timestamp (seconds since epoch)